Subject: Re: bug#2057: 23.0.60; delete key and deletechar

From: Robert Brown <[email-masked]>
Date: Fri, 17 Apr 2009 16:33:44 -0400

Stefan Monnier writes:
 > > I still think it may incorrect for Emacs to map single character function
 > > key sequences.  But perhaps these just never occur in practice.
 > 
 > I do agree that your patch seems reasonable.  But there might be
 > terminals where function keys send non-ASCII single byte codes in which
 > case your patch would be incorrect.  Now I don't know whether such
 > terminals are more or less rare than those who send ASCII codes for
 > function keys.  So at least, for the purpose of the current pretest, I'd
 > rather keep the old behavior (that's been around for many years) rather
 > than risk breaking some oddball system out there.  Especially since your
 > particular problem really turned out to be a bug in the termcap.

I agree.  Better to leave everything as it is.  Thanks very much for taking
a look.

bob